Redmine - Defect #14585

Problem in redmine icalender export plugin
2013-07-31 15:21 - Piyush Singhal

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 1.0.4
Description

I am trying to install Redmine ICalendar Export Plugin(https:/github.com/planio/redmine_icalendar_export) and this plugin require
icalendar, | tried to install it using "gem install icalendar" . But after installation calender part stopped working and showing error
"Internal error An error occurred on the page you were trying to access."

In the log file | am getting following error:

ActionView::TemplateError (No route matches {:action=>"index", :status=>"all", :controller=>"calendar", :assigned_to=>""",
format=>"atom", :project_id=>#<Project id: 3, name: "test project", description: "", homepage: "", is_public: true, parent_id: nil,
created_on: "2013-01-08 06:03:05", updated_on: "2013-02-16 04:02:42", identifier: "testproject”, status: 1, Ift: 5, rgt: 6>,
key=>"268944ce53edddhsjhhgyuh57678dff5f3a0db719323c"}) on line #5 of
vendor/plugins/redmine_icalendar_export-master/app/views/hooks/redmine_icalendar_export/_view_calendars_show_bottom.html.er
b:

2: <% other_formats_links do |f| >

3: <= f.link_to 'ICS', :url => { :status => "all', :assigned_to => """, :controller => 'calendar’, :action => 'index', :project_id => Herve
Harster, :key => User.current.rss_key, :format => 'atom' } >

6: <end >

7: < end %>

History

#1 - 2013-07-31 23:43 - Mischa The Evil
- Category deleted (Calendar)

- Status changed from New to Closed

- Priority changed from Urgent to Normal

- Resolution set to Invalid

No plugin support here in the issue tracker. Please, post on the forums and/or contact the plugin author.

Edit: see Routing issue with Redmine icalender export plugin
